export declare function createFeatureToggles(): {
    add_member_enabled: boolean;
    api_v5_enabled: boolean;
    auto_delete_branch_enabled: boolean;
    big_file_enabled: boolean;
    branch_case_sensitive_enabled: boolean;
    branch_cn_enabled: boolean;
    branch_delete_record_enabled: boolean;
    branch_groups_enabled: boolean;
    branch_hidden_enabled: boolean;
    branch_prefix_enabled: boolean;
    branch_recycle_enabled: boolean;
    branch_specification_enabled: boolean;
    ccb_enabled: boolean;
    check_push_duration_enabled: boolean;
    cherry_pick_enabled: boolean;
    cmcc_enabled: boolean;
    code_line_enabled: boolean;
    code_search_enabled: boolean;
    code_suggest_enabled: boolean;
    commit_author_use_username_enabled: boolean;
    commit_email_validate_enabled: boolean;
    commit_kanban_enabled: boolean;
    commit_note_enabled: boolean;
    conflict_warning_enabled: boolean;
    console_announcement_enabled: boolean;
    cover_upload_file_enabled: boolean;
    create_individual_repo_enabled: boolean;
    create_subgroup_enabled: boolean;
    default_branch_warn_enabled: boolean;
    default_branch_warning_enabled: boolean;
    default_card_enabled: boolean;
    default_maximum_file_size_enabled: boolean;
    default_pr_forced_review_enabled: boolean;
    default_pr_not_send_update_webhook_enabled: boolean;
    default_skip_validate_commit_enabled: boolean;
    default_validate_commit_email_enabled: boolean;
    default_watermark_enabled: boolean;
    delete_group_and_repo_with_enterprise_admin_enabled: boolean;
    delete_group_enabled: boolean;
    develop_name_search_enabled: boolean;
    disable_repo_path_on_modify_enabled: boolean;
    edit_group_description_enabled: boolean;
    edit_group_name_enabled: boolean;
    edit_group_path_enabled: boolean;
    edit_group_permission_policy_enabled: boolean;
    file_access_enabled: boolean;
    forbid_delete_tag_enabled: boolean;
    forbid_force_push_enabled: boolean;
    force_push_permission_up_to_enterprise_admin_enabled: boolean;
    git_email_enabled: boolean;
    git_log_date_order_enabled: boolean;
    globalViewerSet_enabled: boolean;
    global_scan_setting_enabled: boolean;
    global_scan_settings_enabled: boolean;
    global_search_enabled: boolean;
    global_viewer_set_enabled: boolean;
    group_event_enabled: boolean;
    group_protection_rule_enabled: boolean;
    group_standard_setting_enabled: boolean;
    guoxin_enabled: boolean;
    help_document_enabled: boolean;
    hidden_enterprise_prefix_enabled: boolean;
    huaxia_enabled: boolean;
    independent_permissions_from_db_enabled: boolean;
    ip_whitelist_enabled: boolean;
    jenkins_enabled: boolean;
    jira_enabled: boolean;
    join_project_enabled: boolean;
    learning_git_enabled: boolean;
    lfs_enabled: boolean;
    minsheng_enabled: boolean;
    mq_ack_confirms_enabled: boolean;
    multi_level_group_enabled: boolean;
    multi_tenant_enabled: boolean;
    ningbo_enabled: boolean;
    old_init_enterprise_and_program_api_enabled: boolean;
    one_work_space_role_enabled: boolean;
    only_company_admin_change_repo_visibility_enabled: boolean;
    only_company_admin_delete_group_enabled: boolean;
    only_company_admin_delete_repo_enabled: boolean;
    opensource_enabled: boolean;
    opentelemetry_enabled: boolean;
    permission_up_to_enterprise_admin_enabled: boolean;
    picc_enabled: boolean;
    pipe_enabled: boolean;
    pipe_use_global_webhook_enabled: boolean;
    pipe_v8_enabled: boolean;
    pr_automated_title_enabled: boolean;
    pr_cherry_pick_enabled: boolean;
    pr_comments_export_enabled: boolean;
    pr_ff_merge_enabled: boolean;
    pr_ipipe_records_enabled: boolean;
    pr_merge_card_relate_enabled: boolean;
    pr_rebase_merge_enabled: boolean;
    pr_review_file_filter_enabled: boolean;
    pr_squash_enabled: boolean;
    pr_squash_merge_enabled: boolean;
    pr_theme_note_enabled: boolean;
    program_group_enabled: boolean;
    program_relate_group_enabled: boolean;
    program_space_manage_enabled: boolean;
    project_batch_operation_enabled: boolean;
    project_enabled: boolean;
    project_resource_enabled: boolean;
    proxima_enabled: boolean;
    pull_request_auto_tag_enabled: boolean;
    pull_request_review_problem_type_enabled: boolean;
    quality_inspection_force_merge_enabled: boolean;
    quick_project_create_enabled: boolean;
    remote_mirror_enabled: boolean;
    repoMemberPermission_enabled: boolean;
    repo_archive_enabled: boolean;
    repo_branch_manage_enabled: boolean;
    repo_config_duplicate_enabled: boolean;
    repo_cr_setting_enabled: boolean;
    repo_file_download_enabled: boolean;
    repo_file_view_enabled: boolean;
    repo_fork_enabled: boolean;
    repo_git_gc_enabled: boolean;
    repo_global_setting_enabled: boolean;
    repo_group_enterprise_prefix_enabled: boolean;
    repo_init_config_enabled: boolean;
    repo_issue_enabled: boolean;
    repo_member_permission_enabled: boolean;
    repo_mirror_enabled: boolean;
    repo_permissions_inherit_global_enabled: boolean;
    repo_permissions_out_of_inherit_enabled: boolean;
    repo_template_enabled: boolean;
    resolve_conflict_enabled: boolean;
    revert_create_pr_enabled: boolean;
    reviewer_group_enabled: boolean;
    scan_analysis_cancel_enabled: boolean;
    scan_enabled: boolean;
    scan_filter_setting_enabled: boolean;
    scan_report_download_enabled: boolean;
    search_enabled: boolean;
    server_hook_enabled: boolean;
    skip_send_message_by_comitted_enabled: boolean;
    sonar_enabled: boolean;
    srcb_enabled: boolean;
    superAdminSet_enabled: boolean;
    super_admin_set_enabled: boolean;
    tag_create_rule_enabled: boolean;
    third_party_pipeline_enabled: boolean;
    transfer_namespace_enabled: boolean;
    transfer_project_enabled: boolean;
    unique_project_path_enabled: boolean;
    use_rails3_timestamp_enabled: boolean;
    user_organization_enabled: boolean;
    valid_card_director_enabled: boolean;
    valid_card_status_enabled: boolean;
    wiki_enabled: boolean;
    scan_report_download_enable: boolean;
};
export type Feature_Toggles = ReturnType<typeof createFeatureToggles>;
